Page 1 of 1

Database management tools

Posted: Thu Oct 04, 2018 3:18 pm
by oldfart
Latest version of rasbian stretch (2018-06-27-raspbian-stretch.img) updated and upgraded on Pi 3B+
Phpmyadmin - error 'The mysqli extension is missing'
Adminer - not even seen (not found error) & there is no adminer.conf file anywhere

what??
Any help - adminer seems to be the way to go, but can't get it to run

Re: Database management tools

Posted: Thu Oct 04, 2018 3:28 pm
by DirkS
adminer is available from the Raspbian repo.

Code: Select all

pi@raspi3b:~$ apt policy adminer
adminer:
  Installed: (none)
  Candidate: 4.2.5-3+deb9u1
  Version table:
     4.2.5-3+deb9u1 500
        500 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages

Code: Select all

sudo apt update
sudo apt install adminer

Re: Database management tools

Posted: Thu Oct 04, 2018 3:33 pm
by oldfart
did all the above...

Code: Select all

 apt policy adminer
adminer:
  Installed: 4.2.5-3+deb9u1
  Candidate: 4.2.5-3+deb9u1
  Version table:
 *** 4.2.5-3+deb9u1 500
        500 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages
        100 /var/lib/dpkg/status

Re: Database management tools

Posted: Thu Oct 04, 2018 3:36 pm
by DougieLawson
sudo apt install php-mysql should get the mqsqli stuff.

Re: Database management tools

Posted: Thu Oct 04, 2018 3:36 pm
by oldfart
did

Code: Select all

echo "Alias /adminer /usr/share/adminer/" | sudo tee /etc/apache2/conf-available/adminer.conf
sudo a2enconf adminer
sudo systemctl restart apache2
now error is

Code: Select all

None of the supported PHP extensions (MySQLi, MySQL, PDO_MySQL) are available.

Re: Database management tools

Posted: Thu Oct 04, 2018 3:37 pm
by oldfart
DougieLawson wrote:
Thu Oct 04, 2018 3:36 pm
sudo apt install php-mysql should get the mqsqli stuff.
php-mysql is already the newest version (1:7.0+49).
PHP 7.0.30-0+deb9u1